Package org.eclipse.rdf4j.common.net

## Class ParsedURI

- java.lang.Object
- - org.eclipse.rdf4j.common.net.ParsedURI

- All Implemented Interfaces:
    `Cloneable`

      @Deprecated
      public class ParsedURI
      extends Object
      implements Cloneable

  Deprecated.
  use `ParsedIRI` instead
  A replacement for Java's own URI: java.net.URI. Java's implementation is quite buggy in that it doesn't resolve relative URIs correctly.

  Note: this implementation is not guaranteed to handle ipv6 addresses correctly (yet).

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ParsedURI​(String uriSpec)` | Deprecated.
    `ParsedURI​(String scheme, String schemeSpecificPart, String fragment)` | Deprecated.
    `ParsedURI​(String scheme, String authority, String path, String query, String fragment)` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `clone()` | Deprecated.
    `String` | `getAuthority()` | Deprecated.
    `String` | `getFragment()` | Deprecated.
    `String` | `getPath()` | Deprecated.
    `String` | `getQuery()` | Deprecated.
    `String` | `getScheme()` | Deprecated.
    `String` | `getSchemeSpecificPart()` | Deprecated.
    `boolean` | `isAbsolute()` | Deprecated.
    `boolean` | `isHierarchical()` | Deprecated.
    `boolean` | `isOpaque()` | Deprecated.
    `boolean` | `isRelative()` | Deprecated.
    `boolean` | `isSelfReference()` | Deprecated. Checks whether this URI is a relative URI that references itself (i.e.
    `void` | `normalize()` | Deprecated. Normalizes the path of this URI if it has one.
    `ParsedURI` | `resolve​(String relURISpec)` | Deprecated. Resolves a relative URI using this URI as the base URI.
    `ParsedURI` | `resolve​(ParsedURI relURI)` | Deprecated. Resolves a relative URI using this URI as the base URI.
    `String` | `toString()` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ParsedURI

          public ParsedURI​(String uriSpec)

      Deprecated.

    - #### ParsedURI

          public ParsedURI​(String scheme,
                           String schemeSpecificPart,
                           String fragment)

      Deprecated.

    - #### ParsedURI

          public ParsedURI​(String scheme,
                           String authority,
                           String path,
                           String query,
                           String fragment)

      Deprecated.

  - ### Method Detail

    - #### isHierarchical

          public boolean isHierarchical()

      Deprecated.

    - #### isOpaque

          public boolean isOpaque()

      Deprecated.

    - #### isAbsolute

          public boolean isAbsolute()

      Deprecated.

    - #### isRelative

          public boolean isRelative()

      Deprecated.

    - #### isSelfReference

          public boolean isSelfReference()

      Deprecated.
      Checks whether this URI is a relative URI that references itself (i.e. it only contains an anchor).

    - #### getScheme

          public String getScheme()

      Deprecated.

    - #### getSchemeSpecificPart

          public String getSchemeSpecificPart()

      Deprecated.

    - #### getAuthority

          public String getAuthority()

      Deprecated.

    - #### getPath

          public String getPath()

      Deprecated.

    - #### getQuery

          public String getQuery()

      Deprecated.

    - #### getFragment

          public String getFragment()

      Deprecated.

    - #### normalize

          public void normalize()

      Deprecated.
      Normalizes the path of this URI if it has one. Normalizing a path means that any unnecessary '.' and '..' segments are removed. For example, the URI http://server.com/a/b/../c/./d would be normalized to http://server.com/a/c/d. A URI doens't have a path if it is opaque.

    - #### resolve

          public ParsedURI resolve​(String relURISpec)

      Deprecated.
      Resolves a relative URI using this URI as the base URI.

    - #### resolve

          public ParsedURI resolve​(ParsedURI relURI)

      Deprecated.
      Resolves a relative URI using this URI as the base URI.

    - #### toString

          public String toString()

      Deprecated.
      Overrides:
        `toString` in class `Object`

    - #### clone

          public Object clone()

      Deprecated.
      Overrides:
        `clone` in class `Object`